# Uses of Class
java.util.ArrayList

Packages that use ArrayList
Package
Description
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.
java.beans.beancontext
Provides classes and interfaces relating to bean context.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.relation
Provides the definition of the Relation Service.

- ## Uses of ArrayList in java.awt.dnd

  Fields in java.awt.dnd declared as ArrayList
  Modifier and Type
  Field
  Description
  `protected ArrayList<InputEvent>`
  DragGestureRecognizer.`events`
  The list of events (in order) that the `DragGestureRecognizer` "recognized" as a "gesture" that triggers a drag.

- ## Uses of ArrayList in java.beans.beancontext

  Fields in java.beans.beancontext declared as ArrayList
  Modifier and Type
  Field
  Description
  `protected ArrayList<BeanContextMembershipListener>`
  BeanContextSupport.`bcmListeners`
  Deprecated, for removal: This API element is subject to removal in a future version.
  all accesses to the `protected ArrayList bcmListeners` field shall be synchronized on that object.
  `protected ArrayList<BeanContextServicesListener>`
  BeanContextServicesSupport.`bcsListeners`
  Deprecated, for removal: This API element is subject to removal in a future version.
  List of `BeanContextServicesListener` objects.

- ## Uses of ArrayList in java.util

  Methods in java.util that return ArrayList
  Modifier and Type
  Method
  Description
  `static <T> ArrayList<T>`
  Collections.`list(Enumeration<T> e)`
  Returns an array list containing the elements returned by the specified enumeration in the order they are returned by the enumeration.

- ## Uses of ArrayList in javax.management

  Subclasses of ArrayList in javax.management
  Modifier and Type
  Class
  Description
  `class`
  `AttributeList`
  Represents a list of values for attributes of an MBean.
  Methods in javax.management that return ArrayList
  Modifier and Type
  Method
  Description
  `static ArrayList<MBeanServer>`
  MBeanServerFactory.`findMBeanServer(String agentId)`
  Return a list of registered MBeanServer objects.

- ## Uses of ArrayList in javax.management.relation

  Subclasses of ArrayList in javax.management.relation
  Modifier and Type
  Class
  Description
  `class`
  `RoleList`
  A RoleList represents a list of roles (Role objects).
  `class`
  `RoleUnresolvedList`
  A RoleUnresolvedList represents a list of RoleUnresolved objects, representing roles not retrieved from a relation due to a problem encountered when trying to access (read or write) the roles.